<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:d="http://iut.u-clermont1.fr/chevaldonne/disques">

  <xsl:output method="html"/>

<xsl:template match="/">
	<p>Nombre de disques dans le fichier : 
		<xsl:call-template name='getNbDisques'/>
	</p>
	<p>Nombre de disques de Coltrane dans le fichier :
		<xsl:call-template name='getNbDisquesDeMachin'>
			<xsl:with-param name='machin' select='"Coltrane"'/>
		</xsl:call-template> / <xsl:call-template name='getNbDisques'/>
	</p>
</xsl:template>

<xsl:template name="getNbDisques">
	<xsl:value-of select='count(//d:disque)'/>
</xsl:template>

<xsl:template name="getNbDisquesDeMachin">
	<xsl:param name="machin"/>
	<xsl:value-of select='count(//d:disque[d:artiste/d:last_name = $machin])'/>
</xsl:template>


</xsl:stylesheet>