<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:d="http://iut.u-clermont1.fr/chevaldonne/disques"
    xmlns:t="http://iut.u-clermont1.fr/chevaldonne/disques/notes">

  <xsl:output method="html"/>

	<t:tabNotes>
		<t:note t:num="1">excellent</t:note>
		<t:note t:num="2">très bien</t:note>
		<t:note t:num="3">bien</t:note>
	</t:tabNotes>

<xsl:template match="/">
	<xsl:for-each select="d:disques/d:disque">
		<xsl:sort select="document('')//t:tabNotes/t:note[. = current()/@d:note]/@t:num" data-type="number" order="ascending"/>
		<xsl:apply-templates select="."/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="d:disque">
	<xsl:value-of select='d:titre'/> (note : <xsl:value-of select="@d:note"/>)<br/>
</xsl:template>

</xsl:stylesheet>