<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:d="http://iut.u-clermont1.fr/chevaldonne/disques">

  <xsl:output method="html"/>

<xsl:variable name='color' select='"red"'/>
<xsl:variable name='color2' select='"blue"'/>

<xsl:template match="/">

	<xsl:variable name='disques' select='//d:disque[starts-with(d:titre, "B")]'/>

	<xsl:apply-templates select='$disques'/>
	<xsl:apply-templates select='$disques' mode='A'/>
	
</xsl:template>

<xsl:template match='d:disque'>
	<p style="color:{$color}"><xsl:value-of select='d:titre'/></p>
</xsl:template>

<xsl:template match='d:disque' mode="A">
	<p style="color:{$color2}"><xsl:value-of select='substring(.//d:first_name, 1, 1)'/>. <xsl:value-of select='.//d:last_name'/></p>
</xsl:template>


</xsl:stylesheet>