<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:d="http://iut.u-clermont1.fr/chevaldonne/disques">

  <xsl:output method="html"/>

<xsl:template match="/">

	<xsl:apply-templates select='.//d:disque'/>
	
</xsl:template>

<xsl:template match='d:disque'>

	<xsl:variable name="color_avant_1960">
		<xsl:choose>
			<xsl:when test="@d:sortie &lt; 1960">blue</xsl:when>
			<xsl:otherwise>black</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<p style="color:{$color_avant_1960}"><xsl:value-of select='d:titre'/></p>
</xsl:template>



</xsl:stylesheet>